curl --request GET \
--url https://api.computeflow.cloud/api/v3/builds/{build_id}/logs \
--header 'api-key: <api-key>'import requests
url = "https://api.computeflow.cloud/api/v3/builds/{build_id}/logs"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.computeflow.cloud/api/v3/builds/{build_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"id": 123,
"build_id": "<string>",
"phase": "<string>",
"message": "<string>",
"level": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "<string>",
"status": 123,
"detail": "<string>"
}Get build processing logs
Returns paginated build processing logs in chronological order. Each log entry includes a phase (e.g., download, extract, compress, upload), a message, and a severity level.
Useful for debugging failed builds — check for error level entries. Build logs are also available for live streaming in the PlayFlow dashboard.
Authorizations
Path Parameters
Build ID to fetch logs for.
Query Parameters
Maximum log entries per page (1–500). Defaults to 100.
1 <= x <= 500Number of entries to skip for pagination. Defaults to 0.
x >= 0Response
Paginated build processing logs in chronological order.
Paginated list of build processing logs. Subscribe via Supabase Realtime for live streaming.
Array of build log entries in chronological order.
Show child attributes
Show child attributes
Total number of log entries for this build.
Maximum number of entries per page.
Number of entries skipped (for pagination).
True if there are more log entries beyond this page.